Page MenuHomeVyOS Platform

show vpn ike status perl warning: Using a hash as a reference is deprecated....
Closed, ResolvedPublic

Description

vyos@vyos:~$ show vpn ike status
Using a hash as a reference is deprecated at /opt/vyatta/share/perl5/Vyatta/VPN/OPMode.pm line 840.
Using a hash as a reference is deprecated at /opt/vyatta/share/perl5/Vyatta/VPN/OPMode.pm line 841.
Using a hash as a reference is deprecated at /opt/vyatta/share/perl5/Vyatta/VPN/OPMode.pm line 850.
Using a hash as a reference is deprecated at /opt/vyatta/share/perl5/Vyatta/VPN/OPMode.pm line 853.
Using a hash as a reference is deprecated at /opt/vyatta/share/perl5/Vyatta/VPN/OPMode.pm line 865.
Using a hash as a reference is deprecated at /opt/vyatta/share/perl5/Vyatta/VPN/OPMode.pm line 908.
IKE Process Running

PID: 1533

Details

Difficulty level
Easy (less than an hour)
Version
999.201705072137
Why the issue appeared?
Implementation mistake

Event Timeline

csszep created this task.May 8 2017, 8:48 AM
JulesT added a subscriber: JulesT.Jul 3 2017, 2:23 PM

Pull request sent to fix this one.

JulesT added a comment.Sep 7 2017, 3:45 PM

This is fixed, too. Can we close it?

syncer added a subscriber: syncer.Sep 7 2017, 11:25 PM

Yes, let me regain access to this task

pasik added a subscriber: pasik.Oct 27 2017, 10:03 PM
syncer closed this task as Resolved.Oct 13 2018, 10:44 AM
syncer claimed this task.
syncer moved this task from Need Triage to Finished on the VyOS 1.2 Crux board.